#!/bin/bash

# Sprawdzenie, czy podman jest dostępny
if command -v podman &> /dev/null; then
    COMPOSE_CMD="podman-compose"
    echo "🟢 Wykryto Podman, używam podman-compose..."
else
    COMPOSE_CMD="docker-compose"
    echo "🔵 Podman nie znaleziony, używam docker-compose..."
fi

# Zatrzymanie i usunięcie kontenerów
$COMPOSE_CMD down

# Odbudowa obrazu
$COMPOSE_CMD build

# Uruchomienie w tle
$COMPOSE_CMD up -d

echo "✅ Aplikacja uruchomiona!"
